All Classes Namespaces Files Functions Variables Typedefs Enumerator Friends Macros Groups
trace_gen_quad_form.hpp File Reference
`#include <boost/utility/enable_if.hpp>`
`#include <boost/type_traits.hpp>`
`#include <stan/math/prim/mat/fun/Eigen.hpp>`
`#include <stan/math/prim/mat/fun/typedefs.hpp>`
`#include <stan/math/rev/core.hpp>`
`#include <stan/math/rev/scal/fun/value_of.hpp>`
`#include <stan/math/prim/mat/fun/value_of.hpp>`
`#include <stan/math/rev/mat/fun/typedefs.hpp>`
`#include <stan/math/prim/mat/fun/trace_gen_quad_form.hpp>`
`#include <stan/math/prim/mat/err/check_multiplicable.hpp>`
`#include <stan/math/prim/mat/err/check_square.hpp>`

Go to the source code of this file.

## Namespaces

| stan
| stan::math
| Matrices and templated mathematical functions.

## Functions

template<typename TD , int RD, int CD, typename TA , int RA, int CA, typename TB , int RB, int CB>
boost::enable_if_c < boost::is_same< TD, var > ::value||boost::is_same< TA, var >::value||boost::is_same < TB, var >::value, var > ::type | stan::math::trace_gen_quad_form (const Eigen::Matrix< TD, RD, CD > &D, const Eigen::Matrix< TA, RA, CA > &A, const Eigen::Matrix< TB, RB, CB > &B)

## Variable Documentation

trace_gen_quad_form_vari_alloc<TD, RD, CD, TA, RA, CA, TB, RB, CB>* _impl

Definition at line 104 of file trace_gen_quad_form.hpp.

Eigen::Matrix<TA, RA, CA> A_

Definition at line 38 of file trace_gen_quad_form.hpp.

Eigen::Matrix<TB, RB, CB> B_

Definition at line 39 of file trace_gen_quad_form.hpp.

Eigen::Matrix<TD, RD, CD> D_

Definition at line 37 of file trace_gen_quad_form.hpp.

[ Stan Home Page ] © 2011–2015, Stan Development Team.